
# European Center for Medium Weather Forecast
![](./mkdocs/img/logo_ecmwf.png)

[website](https://www.ecmwf.int) / [service status](https://www.ecmwf.int/en/service-status) / [confluence](https://confluence.ecmwf.int) / [support](https://support.ecmwf.int) / [accounting](https://www.ecmwf.int/user)


Available Services:

- [ecaccess](https://confluence.ecmwf.int/display/ECAC/ECaccess+Home)
- [srvx1.gateway](https://srvx1.img.univie.ac.at/ecmwf/ecmwf) / [gateway.docs](https://confluence.ecmwf.int/display/ECAC/Releases+-+Gateway+package) / [boaccess](https://boaccess.ecmwf.int)

  
## Connecting to ECMWF Services

A ECMWF user can connect to the ECS/ATOS using teleport

```bash title="Using teleport"
module load teleport
** INFO: Default jumphost now: jump.ecmwf.int
** INFO: Module loaded. SSH Agent required for login, run 'startagent',                                                       
**       run ssh-agent -k to kill the agent.
         Login using: python3 -m teleport.login and your ECMWF credentials.

# Activate the ssh-agent (required to store the key/certificate)
startagent
# Check if it is running
ssh-add -l
```

```bash title="Connecting to ECMWF"
# Login to the default teleport jump host (shell.ecmwf.int) Reading
python3 -m teleport.login
tsh status
# run ssh agent again
ssh-add -l 
# now there should be two keys!!!
# Login to the jump host in Bologna 
python3 -m teleport.login

# Check Status
tsh status
# ssh to the login nodes
ssh -J [user]@jump.ecmwf.int [user]@ecs-login
ssh -J [user]@jump.ecmwf.int [user]@hpc-login
```

Environment variables configuration:

- `ECMWF_USERNAME` - The ECMWF Username  
- `ECMWF_PASSWORD` - The ECMWF Password  
- `TSH_EXEC` - The Teleport binary tsh path  
- `TSH_PROXY` - The ECMWF Teleport proxy



### SSH-agent
It is required to have an SSH-agent running in order to connect to the ECMWF servers. The teleport module includes a `startagent` function to allow to reconnect to an existing ssh-agent. Do not start too many agents!

```bash title="start ssh-agent"
# load the module
module load teleport
# start a new agent or reconnect
startagent
```


## ECMWF Access Server (ECS)

There is an issue with ssh-keys

```bash
# Generate a new SSH key
ssh-keygen -t ed25519
# Add the public key to your own authorized_keys on ECS/HPC
cat .ssh/id_ed25519.pub >> .ssh/authorized_keys
```

This will solve some `ecaccess` issues.


## Connecting via ECaccess

using a local installation of ecaccess tools can be used to submit jobs and monitor jobs from a remote location.
